/**
 * Created by vetal on 27.01.16.
 */


var AdyenPayments = function(){
    this.init();
};


jQuery.extend(AdyenPayments.prototype, {

    formObj : null,
    popupWindow : null,
    blurObj : null,
    onClosedCallback : null,

    init : function(){
        var instance = this;

        jQuery('#adyen_form').submit(function() {
            instance.popupWindow =  window.open('', 'adyen_formpopup', 'width=1000,height=600,resizeable,scrollbars');
            this.target = 'adyen_formpopup';

            var loop = setInterval(function() {
                if(instance.popupWindow.closed) {
                    clearInterval(loop);
                    instance.popupClosed();
                }
            }, 1000);

            instance.addBlur();
        });
    },

    popupClosed : function(){
        this.removeBlur();

        if(typeof this.onClosedCallback == 'function'){
            this.onClosedCallback();
        }
    },

    onPopupClosed : function(callback){
        this.onClosedCallback = callback;
    },

    addBlur : function(){
        this.blurObj = jQuery('<div class="adyen_inprocess"></div>');
        jQuery('BODY').append(this.blurObj);
    },

    removeBlur : function(){
        this.blurObj.remove();
    },

    setFormData : function(paramObj){
        var adyenForm = jQuery("#adyen_form");

        for(var pName in paramObj){
            var value = paramObj[pName];
            adyenForm.append('<input type="hidden" name="' + pName + '" value="' + value + '" />');
        }
    }



});


